using System;
using System.Collections.Generic;
using System.Text;

namespace HOL1.Model
{


    class Customer
    {
        private CustomerContact mainContact;

        public CustomerContact MainContact
        {
            get { return mainContact; }
            set { mainContact = value; }
        }

        private string customerDescription;

        public string CustomerDescription
        {
            get { return customerDescription; }
            set { customerDescription = value; }
        }
	

        public Customer(string customerDescription, CustomerContact mainContact)
        {
            this.mainContact = mainContact;
            this.customerDescription = customerDescription;
        }

        public override string ToString()
        {
            return this.customerDescription;
        }
        
    }

    class CustomerContact
    {
        public CustomerContact(string name, string mobileTel, string address)
        {
            this.name = name;
            this.mobileTel = mobileTel;
            this.address = address;
        }

        private string name;

        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        private string mobileTel;

        public string MobileTel
        {
            get { return mobileTel; }
            set { mobileTel = value; }
        }

        private string address;

        public string Address
        {
            get { return address; }
            set { address = value; }
        }


    }

   
}
